1. API reference
  2. Conversations

Update a conversation

PATCHhttps://howdybell.com/api/v1/conversations/{id}

Updates the status, snooze time, or assignee of a conversation. The assignee must have access to the location. Returns the updated conversation object.

Parameters

  • idstringRequiredpath

Request body

  • statusstring
    one of: open, snoozed, closed
  • snoozed_untilstring, nullable
    date and time (ISO 8601)
  • assignee_user_idinteger, nullable
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

200

  • idinteger
  • contactobject, nullable
    • idinteger
    • namestring
    • phone_displaystring, nullable
    • emailstring, nullable
  • kindstring
  • channelobject, nullable
    • idinteger
    • namestring
  • statusstring
  • snoozed_untilstring, nullable
  • assigneeobject, nullable
    • idinteger
    • namestring
  • previewstring, nullable
  • last_message_atstring, nullable
  • last_inbound_atstring, nullable
  • unreadboolean
  • unread_countinteger
  • subjectstring, nullable
  • possible_matchobject, nullable
    • idinteger
    • namestring

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X PATCH "https://howdybell.com/api/v1/conversations/123" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "status": "open",
  "snoozed_until": "2026-10-05T14:30:00Z",
  "assignee_user_id": 1,
  "location_id": 1
}'
Response200
{
  "id": 1,
  "contact": {
    "id": 1,
    "name": "Ada Lovelace",
    "phone_display": "+15125550123",
    "email": "[email protected]"
  },
  "kind": "string",
  "channel": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "status": "string",
  "snoozed_until": "string",
  "assignee": {
    "id": 1,
    "name": "Ada Lovelace"
  },
  "preview": "string",
  "last_message_at": "string",
  "last_inbound_at": "string",
  "unread": true,
  "unread_count": 1,
  "subject": "string",
  "possible_match": {
    "id": 1,
    "name": "Ada Lovelace"
  }
}
Update a conversation (PATCH /api/v1/conversations/{id}) | HowdyBell Developers